Subject: bug#40774: Error messages shouldn't be hidden when the user is idle

From: ndame <[email-masked]>
Date: Thu, 23 Apr 2020 04:38:28 +0000

>
> Please try the multiline echo area implemented in
> https://lists.gnu.org/archive/html/emacs-devel/2019-12/msg00646.html

Yes, message stacking is also useful for other reasons. I was the one
who suggested that feature in that thread.

But message stacking clears the stack after a certain timeout which
is different than what I'm suggesting here.

With a timeout error messages could be hidden again by some other
progress message which arrives later.

Keeping error messages while the user is idle means the error
messages stay up indefinitely until the user comes back even if
he comes back, say, an hour later.